
.scroller {
  padding-left: 8px;
  padding-right: 8px;
  margin-left: 8px;
  margin-right: 8px;
  top: 7px;
  border-bottom: 2px solid rgba(255,255,255,1.0);
  display: inline-block;
  position: relative;
  min-width: 340px;
}

.scroller .text {
  animation-fill-mode: forwards;
  animation-duration: 1.00s;
  display: inline-block;
  position: absolute;
  width: 100%;
  left: 0px;
}

.scroller .text.fade-in {
  animation-name: text-fade-in;
}

.scroller .text.fade-out {
  animation-name: text-fade-out;
}

@keyframes text-fade-in {
  0%   { top: 20px; opacity: 0.0; }
  50% { top: 0px; opacity: 1.0; }
  100% { top: 0px; opacity: 1.0; }
}

@keyframes text-fade-out {
  0%   { top: 0px; opacity: 1.0; }
  50% { top: -20px; opacity: 0.0; }
  100% { top: -20px; opacity: 0.0; }
}
